跳至內容

Hi3D Image to 3D · v3.0

整合

模型 id hitem3d/hi3d/v3.0/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/v3.0/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $2.10 2,100 API 點數 · ≈ ₽225.67 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Hitem3D 圖像轉 3D #image-to-3d#3d#mesh

Hi3D v3.0 單一圖像轉 3D,提供 2048 品質或主解析度,以及去陰影控制

Hitem3D · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 image_url
拖放檔案,或

透過 URL 提供輸入圖像,格式為 PNG、JPEG 或 WebP,檔案不得超過 20 MB。

resolution 預設 2048quality

生成解析度選擇器,在品質與速度之間取捨:選擇 2048master 取得最高品質,或使用預設的 2048quality 以加快生成。

進階 export_format · model · face_count · shading · enable_safety_checker
export_format 預設 glb

用於儲存生成模型的格式。

預設 hi3dv3.0

此端點使用的 Hi3D v3.0 模型版本。

所需面數;使用 2048quality 時提供者建議為 2,000,000,使用 2048master 時為 5,000,000。

預設 0.5

陰影移除強度。

POST /run/hitem3d/hi3d/v3.0/image-to-3d?wait=20 報價 → $2.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hitem3d/hi3d/v3.0/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Hi3D Image to 3D · v3.0

從一張最大 20MB 的影像產生 3D 模型。`resolution` 為 2048quality 或 2048master,後者提供最高品質。`face_count` 最高可達 5,000,000,`shading`(0 到 1)設定去陰影強度。提供材質與 PBR 開關,並可匯出為 glb、obj、stl、fbx 或 usdz。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
model選填
類型string
預設值hi3dv3.0
此端點使用的 Hi3D v3.0 模型版本。
resolution選填
類型enum
預設值2048quality
2048quality2048master
生成解析度選擇器,在品質與速度之間取捨:選擇 2048master 取得最高品質,或使用預設的 2048quality 以加快生成。
enable_texture選填
類型boolean
預設值true
控制是否同時生成紋理和幾何圖形。
enable_pbr選填
類型boolean
預設值true
控制是否同時建立 PBR 材質貼圖和紋理。
face_count選填
類型integer | null
100,000 – 5,000,000
所需面數;使用 2048quality 時提供者建議為 2,000,000,使用 2048master 時為 5,000,000。
export_format選填
類型enum
預設值glb
glbobjstlfbxusdz
用於儲存生成模型的格式。
enable_safety_checker選填
類型boolean
預設值true
輸入圖像的安全篩選切換:true 會要求在開始圖像處理前進行安全檢查。
image_url必填 image
類型url · image
透過 URL 提供輸入圖像,格式為 PNG、JPEG 或 WebP,檔案不得超過 20 MB。
shading選填
類型number
預設值0.5
0 – 1
陰影移除強度。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hitem3d/hi3d/v3.0/image-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2100,
    "usd": "2.10",
    "charged": 2100,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
model_mesh
object {url, content_type, file_name, file_size}包含生成 3D 模型的檔案。
thumbnail
object {url, content_type, file_name, file_size} | null可用時提供的模型預覽圖像。

更多模型:圖像轉 3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/hitem3d/hi3d/v3.0/image-to-3d.md. 所有模型與指南: https://doitong.com/developers/llms.txt